/* COLORS ========================= */
$cp-green:     		rgb(85,  165, 165);
$cp-red:       		rgb(156, 0,  9 );
$cp-blue:      		rgb(30,  50,  130);
$cp-yellow:    		rgb(242, 166, 35);
$cp-orange:    		rgb(241, 137, 65);
$cp-orange-dark:    rgb(234, 112, 46);
$cp-grey:      		rgb(245, 245, 245);
$cp-grey-dark: 		rgb(165, 165, 165);

$bg-light: $cp-grey;
$bg-dark: $cp-grey-dark;

$fg-light: #555;
$fg-dark: #333;
$fg-yellow: #dcbb5d;

$base-size: 14px;

$navbar-links: $cp-red;
$sidebar-bg: rgb(153,0,1);
$title-publication: rgb(50,55,59);
$author-publication: rgb(134,133,132);

$breadcrumb: rgb(182,182,182);

$dark-pink: rgba(184,31,60,1);
$mid-pink: rgba(201,61,101,1);
$purple: rgba(51,1,41,1);
$light-purple: rgb(97,51,83);
$arrow-color: white;
$carmine: rgb(95,5,46);
$dark-carmine: rgb(45,0,19);

//institucionais
$conectas-vermelho: rgb(175,30,35);
$conectas-amarelo: rgb(200,180,20);
$conectas-cinza-escuro: rgb(90,80,75);
$conectas-cinza-claro: rgb(190,180,170);
//auxiliares
$conectas-roxo-escuro: rgb(90,20,110);
$conectas-roxo-claro: rgb(150,15,120);
$conectas-rosa: rgb(255,0,130);
$conectas-vermelho-claro: rgb(240,50,40);
$conectas-laranja-escuro: rgb(250,95,30);
$conectas-laranja-claro: rgb(250,145,40);
//logo conectas
$conectas-grafismo-amarelo: #fab414;

/* Sizes ========================= */
$header: 65px;
$headerXs: 48px;
$footer: 63.77px;

/* FONTS ========================= */
//podem ser susbtituidas por:
//@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@300;400;600;700&display=swap');
//caso queiram usar a API do Google Fonts

$font-path: "../fonts" !default;

// @font-face {
//   font-family: 'source_sans_proregular';
//   src: url('#{$font-path}/sourcesanspro-regular-webfont.woff') format('woff'),
//     url('#{$font-path}/sourcesanspro-regular-webfont.woff2') format('woff2');
//   font-weight: normal;
//   font-style: normal;
// }
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro&display=swap');
$regular: 'Source Sans Pro';

@font-face {
  font-family: 'source_sans_probold';
  src: url('#{$font-path}/sourcesanspro-bold-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}
$bold: 'source_sans_probold';

@font-face {
  font-family: 'source_sans_prolight';
  src: url('#{$font-path}/sourcesanspro-light-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}
$light:'source_sans_prolight';

@font-face {
  font-family: 'source_sans_prosemibold';
  src: url('#{$font-path}/sourcesanspro-semibold-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}
$semibold: 'source_sans_prosemibold';


/* Font-icon pack */
@font-face {
  font-family: 'carceropolis';
  src:  url('#{$font-path}/carceropolis.eot?g40bli');
  src:  url('#{$font-path}/carceropolis.eot?g40bli#iefix') format('embedded-opentype'),
    url('#{$font-path}/carceropolis.ttf?g40bli') format('truetype'),
    url('#{$font-path}/carceropolis.woff?g40bli') format('woff'),
    url('#{$font-path}/carceropolis.svg?g40bli#carceropolis') format('svg');
  font-weight: normal;
  font-style: normal;
}

[class^="cp-icon-"], [class*=" cp-icon-"] {
  font-family: 'carceropolis' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

$icon-populacao: "\e90f";
$icon-politicas: "\e910";
$icon-menu-sobre: "\e911";
$icon-menu-publicacoes: "\e912";
$icon-menu-especialistas: "\e913";
$icon-menu-dados: "\e914";
$icon-menu-contato: "\e915";
$icon-mapa: "\e916";
$icon-macro-dados: "\e917";
$icon-filtro: "\e918";
$icon-envelope: "\e919";
$icon-busca: "\e91a";
$icon-unidades: "\e91b";
$icon-brasil: "\e91c";
$icon-article: "\e91d";
$icon-arrow-down: "\e91e";
$icon-trabalho-educacao: "\e900";
$icon-saude: "\e901";
$icon-prisao: "\e902";
$icon-pessoa: "\e903";
$icon-perfil-populacional: "\e904";
$icon-materno: "\e905";
$icon-juridica: "\e906";
$icon-infraestrutura: "\e907";
$icon-dados-gerais: "\e908";
$icon-caixao: "\e909";
$icon-cadeirante: "\e90a";
$icon-btn-mais: "\e90b";
$icon-bebe: "\e90c";
$icon-balanca: "\e90d";
$icon-alas-exclusivas: "\e90e";

.cp-icon-populacao::before {
    content: $icon-populacao;
}
.cp-icon-politicas::before {
    content: $icon-politicas;
}
.cp-icon-menu-sobre::before {
    content: $icon-menu-sobre;
}
.cp-icon-menu-publicacoes::before {
    content: $icon-menu-publicacoes;
}
.cp-icon-menu-especialistas::before {
    content: $icon-menu-especialistas;
}
.cp-icon-menu-dados::before {
    content: $icon-menu-dados;
}
.cp-icon-menu-contato::before {
    content: $icon-menu-contato;
}
.cp-icon-mapa::before {
    content: $icon-mapa;
}
.cp-icon-macro-dados::before {
    content: $icon-macro-dados;
}
.cp-icon-filtro::before {
    content: $icon-filtro;
}
.cp-icon-envelope::before {
    content: $icon-envelope;
}
.cp-icon-busca::before {
    content: $icon-busca;
}
.cp-icon-unidades::before {
    content: $icon-unidades;
}
.cp-icon-brasil::before {
    content: $icon-brasil;
}
.cp-icon-article::before {
    content: $icon-article;
}
.cp-icon-arrow-down::before {
    content: $icon-arrow-down;
}
.cp-icon-trabalho-educacao::before {
    content: $icon-trabalho-educacao;
}
.cp-icon-saude::before {
    content: $icon-saude;
}
.cp-icon-prisao::before {
    content: $icon-prisao;
}
.cp-icon-pessoa::before {
    content: $icon-pessoa;
}
.cp-icon-perfil-populacional::before {
    content: $icon-perfil-populacional;
}
.cp-icon-materno::before {
    content: $icon-materno;
}
.cp-icon-juridica::before {
    content: $icon-juridica;
}
.cp-icon-infraestrutura::before {
    content: $icon-infraestrutura;
}
.cp-icon-dados-gerais::before {
    content: $icon-dados-gerais;
}
.cp-icon-caixao::before {
    content: $icon-caixao;
}
.cp-icon-cadeirante::before {
    content: $icon-cadeirante;
}
.cp-icon-btn-mais::before {
    content: $icon-btn-mais;
}
.cp-icon-bebe::before {
    content: $icon-bebe;
}
.cp-icon-balanca::before {
    content: $icon-balanca;
}
.cp-icon-alas-exclusivas::before {
    content: $icon-alas-exclusivas;
}

/* MIXINS ========================= */
@mixin hidetext {
    color: transparent;
    display: inline-block;
    height: 0;
    overflow: hidden;
    position: absolute;
    text-indent: -999999em;
    width: 0;
}

@mixin clearfix {
    clear: both;
    content: '';
    display: block;
    height: 0;
    width: 0;
}

@mixin flexcenter {
    align-items: center;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
